Help - Search - Members - Calendar
Full Version: Squid Problem
Linuxhelp > Support > Technical Support
Robert83
Hi,

this is not really about commands or other problems, I know exactly what line is the problem here, maybe you could tell me how you would seperate it, or refer to the acl or something.

CODE
http_port 3228
httpd_accel_host virtual
httpd_accel_port 80
httpd_accel_with_proxy on
httpd_accel_uses_host_header on

auth_param basic program /usr/lib/squid/ncsa_auth /etc/squid/passwd
auth_param basic children 5
auth_param basic realm ZONE52
auth_param basic credentialsttl 2 hours

cache_mem 32 MB
fqdncache_size 1024

cache_dir ufs /proxy1/ 8000 16 256
cache_dir ufs /proxy2/ 8000 16 256

cache_mgr brobiwbe@stcable.co.yu
cache_effective_user nobody
cache_effective_group nobody

acl all src 0.0.0.0/0.0.0.0
acl manager proto cache_object
acl ftpdr proto FTP
acl localhost src 127.0.0.1/32
acl SSL_ports port 443 563
acl Safe_ports port 80 8080 21 443 563 70 210 1025-65535
acl Safe_ports port 280
acl Safe_ports port 488
acl Safe_ports port 591
acl Safe_ports port 777
acl CONNECT method CONNECT
acl caprio1 src 192.168.0.0/255.255.255.0
acl univer2 src 192.168.1.0/255.255.255.0
acl alstar3 src 192.168.2.0/255.255.255.0
acl deny_ext urlpath_regex -i "/etc/squid/deny_ext"
acl password proxy_auth REQUIRED

http_access deny deny_ext
http_access allow caprio1 univer2 alstar3
always_direct allow ftpdr
http_access allow caprio1
http_access allow univer2
http_access allow alstar3
http_access deny all

ie_refresh on

redirect_program /usr/bin/squidGuard
redirect_children 4


some explanation, whit this little configuration , I block 400.000 porn sites(?, a 7MB blacklist file), and I block music and audio download, files that end with .mp3 .wma .mov .mpg .mp. .mpeg etc....

now the problem is probably quiet simple here is the problem line (and no error is reporeted if I do it like this, which was on a site) :
http_access deny deny_ext [this will deny the extensions specified in the /etc/squid/deny_ext file, so that file is ok]

the problem shows up when I do the following, which according to that website should (http://www.chains.ch/squid.php) ask for a password, and if it's correct allow download if not deny.

http_access allow deny_ext password

if I put it in like this it wont work, the line above is not an error, but will not ask for a password, it will let me pass.

iv'e checked and there is a /usr/lib/squid/ncsa_auth which I tried manualy and works ok with the /etc/squid/passwd file without any problems.

Any idea what could possibly be wrong with the above line ?

Oh and if you know someone how might know about this, and would help a advanced newbie , then please tell me.

Sincerely
Robert B
Robert83
Hi,

as you know I'm trying to do something in PHP, so I've got Whitebox 3.0, and Apachee, and now which of these PHP's should I download ?

Available package: php-pgsql.i386 0:4.3.2-8.ent from base matches with
php-pgsql
Available package: php-odbc.i386 0:4.3.2-8.ent from base matches with
php-odbc
Available package: php.i386 0:4.3.2-8.ent from base matches with
php
Available package: php-ldap.i386 0:4.3.2-8.ent from base matches with
php-ldap
Available package: php-mysql.i386 0:4.3.2-8.ent from base matches with
php-mysql
Available package: php-imap.i386 0:4.3.2-8.ent from base matches with
php-imap
6 results returned

, also one more thing, do I need mysql for 1-2 page ?

Sincerely
Robert B
hughesjr
For sure:
php php-mysql php-odbc


maybe (if you want to use a PostGreSQL Database ... not required if you are only using MySQL databases):
php-pgsql

Probably not:
php-imap php-ldap

here is the description of php-imap and php-ldap:

QUOTE
Name  : php-imap
Arch  : i386
Version: 4.3.2
Release: 8.ent
Size  : 838.22 kB
Summary: An Apache module for PHP applications that use IMAP.
Description:
The php-imap package contains a dynamic shared object (DSO) for the
Apache Web server. When compiled into Apache, the php-imap module will
add IMAP (Internet Message Access Protocol) support to PHP. IMAP is a
protocol for retrieving and uploading e-mail messages on mail
servers. PHP is an HTML-embedded scripting language. If you need IMAP
support for PHP applications, you will need to install this package
and the php package.

----------------

Name  : php-ldap
Arch  : i386
Version: 4.3.2
Release: 8.ent
Size  : 36.52 kB
Summary: A module for PHP applications that use LDAP.
Description:
The php-ldap package is a dynamic shared object (DSO) for the Apache
Web server that adds Lightweight Directory Access Protocol (LDAP)
support to PHP. LDAP is a set of protocols for accessing directory
services over the Internet. PHP is an HTML-embedded scripting
language. If you need LDAP support for PHP applications, you will
need to install this package in addition to the php package.
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2017 Invision Power Services, Inc.